<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<div class="buttons">
	<div class="cursorPointer" onclick="showBlock( 'voiceipRoot', 'accounts', voiceipQuery );"><img title="к списку" src="${contextPath}/img/left.png" height="32"/></div>
</div>

<div class="tile">
	
	<bg:blockTitle title="Смена пароля аккаунтов"/>

<form method='get' action=''>
<input type="hidden" name="action" value="Voiceip"/>
<input type="hidden" name="operation" value="changeLoginPassword"/>
<input type="hidden" name="module" value="voiceip" >
<input type="hidden" name="mid" value="${moduleId}" >

<%@include file="../include/error.jsp" %>

<c:if test="${dataMap['status'] eq 'ok'}">
	<div class="infoMessage">Пароль изменен!</div>
</c:if>

<div class="report">
	<table>
		<tbody>
			<tr>
				<td>Аккаунт:</td>
				<td><select name="accountId"><c:forEach var="item" items="${loginList}">
					<c:set var="selected"><c:if test="${item.id == accountId}">selected</c:if></c:set>
					<option value="${item.id}" ${selected}>${item.login}<c:if test="${not empty item.comment}">[${item.comment}]</c:if></option></c:forEach></select>
				</td>
			</tr>  
			<tr>
				<td>Старый пароль:</td>
				<td><input type="password" name='old_pswd' maxlength='15'/></td>
			</tr>
    		<tr>
        		<td>Новый пароль:</td>
				<td><input type="password" name='pswd1' maxlength='15'/></td>
			</tr>
			<tr>
				<td>Повторите пароль:</td>
				<td><input type="password" name='pswd2' maxlength='15'/></td>
			</tr>
		</tbody>
		<tfoot><tr><td></td><td><button onclick="showBlock( 'voiceipRoot', 'changeLoginPassword', { ...voiceipQuery, accountId: this.form.accountId.value, old_pswd: this.form.old_pswd.value, pswd1: this.form.pswd1.value, pswd2: this.form.pswd2.value } ); return false; ">Сменить</button></td></tr></tfoot>
	</table>
</div>
</form>

	<!-- смена пароля на логины -->
	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"	/>

		<xsl:if test="@status = 'ok'"><div class="infoMessage">Пароль изменен!</div></xsl:if>

		<div class="report">
			<table cellspacing="1">
			<tbody>
				<tr>
    				<td nowrap="1">Логин:</td>
	    			<td>
     					<select class="gradbtn " name="login">
							<xsl:call-template name="logins_list"/>
						</select>
        			</td>
				</tr>  
    			<tr>
    				<td nowrap="1">Старый пароль:</td>
					<td><input type="old_pswd" name="old_pswd" maxlength="15"/></td>
				</tr>
    			<tr>
        			<td nowrap="1">Новый пароль:</td>
					<td><input type="pswd1" name="pswd1" maxlength="15"/></td>
				</tr>
				<tr>
					<td nowrap="1">Повторите пароль:</td>
					<td><input type="pswd2" name="pswd2" maxlength="15"/></td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="2">
						<xsl:call-template name="submit">
							<xsl:with-param name="title" select="'Сменить'"/>
							<xsl:with-param name="align" select="'right'"/>
						</xsl:call-template>
					</td>
				</tr>
			</tfoot>
			</table>
		</div>
	</form>

</div>