<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<div class="buttons">
	<div class="cursorPointer" onclick="showBlock( 'voiceipRoot', 'accounts', voiceipQuery );"><img title="к списку" src="${contextPath}/img/left.png" height="32"/></div>
</div>

<div class="tile">

	<bg:blockTitle title="Смена статуса аккаунтов" />

	<!-- наработка по логинам -->
	<form method="post" action="{$WEBEXECUTER}"> 
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"	/>

		<xsl:if test="@status = 'ok'"><div class="infoMessage">Доступ изменен!</div></xsl:if>
		<div class="report" >
			<table cellspacing='1' class="table800">
			<thead>
				<tr>
					<td>Логин</td>
    				<td>Доступ</td>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="logins/item">
    			<tr>
					<td><xsl:value-of select="@title"/></td>
					<td>
							<xsl:variable name="id" select="@id"/>
							<select class="gradbtn " name="status_{$id}">
								<xsl:if test="@status=0">
									<option value="0" selected ="1"  >разрешен</option>
									<option value="1" >запрещен</option>
								</xsl:if>
								<xsl:if test="@status=1">
									<option value="0" >разрешен</option>
									<option value="1" selected ="1" >запрещен</option>
								</xsl:if>
							</select>
					</td>
            	</tr>
				</xsl:for-each>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="2">
						<xsl:call-template name="submit">
							<xsl:with-param name="title" select="'Сменить'"/>
							<xsl:with-param name="align" select="'right'"/>
						</xsl:call-template>
					</td>
				</tr>
			</tfoot>
			</table>
		</div>
	</form>

</div>