<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<div class="buttons">
	<div class="cursorPointer" onclick="showBlock( 'voiceipRoot', 'accounts', voiceipQuery );"><img title="к списку" src="${contextPath}/img/left.png" height="32"/></div>
</div>

<div class="tile">

	<bg:blockTitle title="Просмотр сессий"/>

<!-- сессии логина -->

	<form method='post' action='{$WEBEXECUTER}' name="sessions" id="sessionsForm">
		<input type="hidden" name="pageIndex"><xsl:attribute name="value"><xsl:value-of select="sessions/@pageIndex"/></xsl:attribute></input>
		<input type="hidden" name="pageSize"><xsl:attribute name="value"><xsl:value-of select="sessions/@pageSize"/></xsl:attribute></input>
		<xsl:variable name="module" select="/data/@module"/>
		<xsl:call-template name="action"/>
		<xsl:call-template name="sessionFilter"/>
	</form>
	
	<div>
		Отчет в виде:
		<a title="CSV" href="{$WEBEXECUTER}?module=voiceip&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=csv">CSV</a>,
		<a title="HTML" href="{$WEBEXECUTER}?module=voiceip&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=html">HTML</a>,
		<a title="CSV/ZIP" href="{$WEBEXECUTER}?module=voiceip&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=csv&amp;zip=1">CSV/ZIP</a>,
		<a title="HTML/ZIP" href="{$WEBEXECUTER}?module=voiceip&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=html&amp;zip=1">HTML/ZIP</a> (После изменения фильтра сначала нажмите "Вывести")
	</div>
	
	<div class="bgPagesWidget" style="text-align: right; width: 800px;" formId="sessionsForm" recordCount="{sessions/@recordCount}"
		pageIndex="{sessions/@pageIndex}" pageSize="{sessions/@pageSize}" pageCount="{sessions/@pageCount}" />
			
	<table cellspacing="1" class="table800">
		<thead>
       		<tr>
       			<td>Тип звонка</td>		
       			<td>Направление</td>
       			<td>Время входа</td>
				<td>Длительность<br/> сеанса, мин.:сек.</td>
				<td>Окр. длительность<br/> сеанса, мин.:сек.</td>
				<td>Стоимость минуты, руб.</td>
				<td>Сумма, руб.</td>
				<td>C номера / На номер</td>               
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="sessions/row">
			<tr>
       			<td style="text-align: center"><xsl:value-of select="@type"/></td>               
       			<td><xsl:value-of select="@dest"/></td>
       			<td><xsl:value-of select="@session_start"/></td>
       			<td><xsl:value-of select="@session_time"/></td>
       			<td><xsl:value-of select="@round_session_time"/></td>
       			<td><xsl:value-of select="@min_cost"/></td>
       			<td><xsl:value-of select="@cost"/></td>
       			<td><xsl:value-of select="@from_to"/></td>
			</tr>
			</xsl:for-each>
		</tbody>
		<tfoot>          
			<tr>
       			<td colspan="3" align="left">Итого сессий:&#x0A;<xsl:value-of select="sessions/@count_amount"/></td>
       			<td><xsl:value-of select="sessions/@time_amount"/></td>
       			<td><xsl:value-of select="sessions/@round_time_amount"/></td>
       			<td>&#160;</td>
       			<td><xsl:value-of select="sessions/@money_amount"/></td>
       			<td>&#160;</td>
			</tr>  
		</tfoot>
	</table>

</div>