<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<div class="tile">

	<bg:blockTitle title="Список аккаунтов"/>
	
	<c:choose>
		<c:when test="${not empty accountList}">
		<c:forEach var="voiceipAccountItem" varStatus="voiceipAccountStatus" items="${accountList}">
		<div class="flexRow" style="font-size: 0.9rem; padding-top: 10px;">
			<div>
				<div class="titleFont2">${voiceipAccountItem.login}</div>
				<div style="margin-left: 10px; margin-top: 10px; line-height: 1.2rem;">
					<div class="paramColor">Статус: <span><c:choose><c:when test="${voiceipAccountItem.status}">активный</c:when><c:otherwise>не активный</c:otherwise> </c:choose> </span>
					</div>
					<div class="paramColor">Период: <span><fmt:formatDate type="DATE" dateStyle="SHORT" value="${voiceipAccountItem.dateFrom}"/> - <fmt:formatDate type="DATE" dateStyle="SHORT" value="${voiceipAccountItem.dateTo}"/></span></div>
				</div>
			</div>
			<div class="flexRow" style="align-content: center;">
				<div onclick="showBlock( 'voiceipRoot', 'changeLoginPassword', { ...voiceipQuery, accountId: ${voiceipAccountItem.id} } );"><img src="img/security.png" title="Смена пароля" class="iconButton"></div>
	  			<div onclick="showBlock( 'voiceipRoot', 'changeLoginStatus', { ...voiceipQuery, accountId: ${voiceipAccountItem.id} } );"><img src="img/database.png" title="Смена статуса" class="iconButton"></div>
				<div onclick="showBlock( 'voiceipRoot', 'showSessions', { ...voiceipQuery, accountId: ${voiceipAccountItem.id} } );"><img src="img/database.png" title=Сессии class="iconButton"></div>
				<div onclick="showBlock( 'voiceipRoot', 'showLoginBalance', { ...voiceipQuery, accountId: ${voiceipAccountItem.id} } );"><img src="img/database.png" title="Наработка" class="iconButton"></div>
				<div onclick="showBlock( 'voiceipRoot', 'loginDirect', { ...voiceipQuery, accountId: ${voiceipAccountItem.id} } );"><img src="img/database.png" title="Направления" class="iconButton"></div>
<%--
				<div onclick="showBlock( 'voiceipRoot', 'dispatchSession', { ...voiceipQuery, accountId: ${voiceipAccountItem.id} } );"><img src="img/database.png" title="Сессии" class="iconButton"></div>
				<div onclick="showBlock( 'voiceipRoot', 'dispatchAmount', { ...voiceipQuery, accountId: ${voiceipAccountItem.id} } );"><img src="img/database.png" title="Наработка" class="iconButton"></div>
				<div onclick="showBlock( 'voiceipRoot', 'dispatchDirect', { ...voiceipQuery, accountId: ${voiceipAccountItem.id} } );"><img src="img/database.png" title="Направления" class="iconButton"></div>
 --%>
			</div>
		</div>
		<c:if test="${not voiceipAccountStatus.last}"><div class="line" style="margin-top: 5px;"></div></c:if>
		</c:forEach>		
		</c:when>
		<c:otherwise><div class="notFound" style="margin: 20px;">Данные не найдены</div></c:otherwise>
	</c:choose>
</div>