<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<div class="buttons">
	<div class="cursorPointer" onclick="showBlock( 'voiceipRoot', 'accounts', voiceipQuery );"><img title="к списку" src="${contextPath}/img/left.png" height="32"/></div>
</div>

<div class="tile">

	<bg:blockTitle title="Наработка по аккаунту"/>

<form method='get' action='' name="sessions">
<input type="hidden" name="action" value="ShowLoginsBalance" />
<input type="hidden" name="module" value="${dataMap['module'] }"/>
<input type="hidden" name="mid" value="${dataMap['mid'] }"/>
<input type="hidden" name="pageIndex" value="1"/>

<table class="filter">
	<tr>
		<th>Месяц:</th>
		<td>
			<c:set var="selectNameMonth" value="month" />
			<c:set var="selectMonth" value="${dataMap['per'].month}" />
			<%@include file="../include/month.jsp" %>
		</td>
		<th>Год:</th>
		<td>
			<select name="year">
				<c:forEach var="item" items="${dataMap['yearList']}">
					<c:choose>
						<c:when test="${item==dataMap['year']}">
							<option value="${item}" selected="selected">${item}</option>
						</c:when>
						<c:otherwise>
							<option value="${item}">${item}</option>
						</c:otherwise>
					</c:choose>
				</c:forEach>
			</select>
		</td>
		<th nowrap="nowrap">Числа месяца:</th>
		<th style="text-align:center">c</th>
		<td><input type="text" name="day_from" size="4" value="${dataMap['per'].dayFrom }"/></td>
		<th style="text-align:center">по</th>
		<td><input type="text" name="day_to" size="4" value="${dataMap['per'].dayTo }"/></td>
		<td><input type="submit" value="Вывести"/></td>
	</tr>
</table>
	
<div class="report" >
	<table cellspacing='1' class="table800">
		<thead>
			<tr>
				<td>
					<c:if test="${dataMap['module']!='voice'}">Логин</c:if>
	  				<c:if test="${dataMap['module']eq'voice'}">Телефон</c:if>	
				</td>
    			<td>Количество сессий</td>
    			<td>Время</td>
    			<td>Окр. время</td>
   				<td>Стоимость</td>
			</tr>
		</thead>
		<tbody>
			<c:forEach var="item" items="${dataMap['rowList']}">
    			<tr>
					<td>${item[0]}</td>
					<td>${item[1]}</td>
            		<td>${item[2]}</td>
            		<td>${item[3]}</td>
            		<td>${item[4]}</td>             
            	</tr>
			</c:forEach>
		</tbody>
		<tfoot>
			<tr align="center">
            		<td>Итого:</td>
            		<td>${dataMap['count_amount'] }</td>
           			<td>${dataMap['time_amount'] }</td>
            		<td>${dataMap['round_time_amount'] }</td>
            		<td>${dataMap['money_amount'] }</td>
			</tr>
		</tfoot>
	</table>
</div>
</form>

<!-- наработка по логинам -->
	<form method='post' action='{$WEBEXECUTER}#idDivReport'>
		<xsl:call-template name="action"/>
		<xsl:call-template name="periodFilter"/>

		<div class="report" >
			<table cellspacing='1' class="table800">
			<thead>
				<tr>
					<td>
						<xsl:if test="$module!='voice'">Логин</xsl:if>
	  					<xsl:if test="$module='voice'">Телефон</xsl:if>	
					</td>
    				<td>Количество сессий</td>
    				<td>Время</td>
    				<td>Окр. время</td>
    				<td>Стоимость</td>
    				<xsl:if test="$module='dialup'">
    					<td><xsl:value-of select="amounts/@traffics_title"/></td>
					</xsl:if>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="amounts/row">
    			<tr>
					<td><xsl:value-of select="@login"/></td>
					<td><xsl:value-of select="@count"/></td>
            		<td><xsl:value-of select="@time"/></td>
            		<td><xsl:value-of select="@round_time"/></td>
            		<td><xsl:value-of select="@cost"/></td>             
    				<xsl:if test="$module='dialup'">
						<td><xsl:value-of select="@f4"/></td>
	    			</xsl:if>
            	</tr>
				</xsl:for-each>
			</tbody>
			<tfoot>
				<tr align="center">
            		<td>Итого:</td>
            		<td><xsl:value-of select="amounts/@count_amount"/></td>
           			<td><xsl:value-of select="amounts/@time_amount"/></td>
            		<td><xsl:value-of select="amounts/@round_time_amount"/></td>
            		<td><xsl:value-of select="amounts/@money_amount"/></td>
            		<xsl:if test="$module='dialup'">          
	            		<td><xsl:value-of select="amounts/@traffics"/></td>
	      			</xsl:if>
				</tr>
			</tfoot>
			</table>
		</div>
	</form>

</div>
